<% local form,viewlibrary = ... 
require("viewfunctions")

local descr = {
	['interfaces'] = {
		['labels'] = { "ZONE", "INTERFACES", "BROADCAST", "OPTIONS" },
		['width'] = { "100", "100", "100", "*" }
		},
	['zones'] = {
		['labels'] = { "ZONE", "INTERFACES", "BROADCAST", "OPTIONS" },
		['width'] = { "100", "100", "100", "*" }
		},
	['policy'] = {
		['labels'] = { "SOURCE", "DEST", "POLICY", "LOG LEVEL", "LIMIT:BURST" },
		['width'] = { "100", "100", "100", "100" }
		},
	['rules'] = {
		['labels'] = { "ACTION", "SOURCE", "DEST", "PROTO", "DEST<BR>PORT", "SOURCE<BR>PORT(S)", "ORIGINAL<BR>DEST", "RATE<BR>LIMIT", "USER/<BR>GROUP", "MARK", },
		['width'] = { "100", "70", "70", "70", "100", }
		},
	['masq'] = {
		['labels'] = { "INTERFACE", "SOURCE", "ADDRESS", "PROTO", "PORT(S)", "IPSEC", "MARK" },
		['width'] = { "100", "70", "70", "70", "100", }
		},
	}
%>

<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("status")
end %>

<% local myform = form.config %>
<h1>GUIDED CONFIGURATION</h1>


<H3>Defince zones</H3>
<% local myform = "zones" %>
<TABLE>
<TR>
<% for i=1,#descr[myform]['labels'] do %>
	<TD style="padding-right:10px;text-align:left;" class="header" WIDTH="<% io.write(descr[myform]['width'][i] or "*") %>"><% io.write(descr[myform]['labels'][i] or "") %></TD>
<% end %>
	<TD class="header" WIDTH="60"><IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-add.png' width='16' height='16' title="Add item below this record"></TD>
</TR>

<%
for i=1, #form.config[myform]['option'] do
%>

<TR>
	<% for ii=1,#descr[myform]['labels'] do %>
		<TD style="padding-right:10px"><% io.write(form.config[myform]['option'][i][ii] or "") %></TD>
	<% end %>
	<TD style="padding-right:0px;text-align:left;">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-add.png' width='16' height='16' title="Add item below this record">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-remove.png' width='16' height='16' title="Remove this record">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/document-properties.png' width='16' height='16' title="Edit this record">
</TD>
	</TR>
<%
end
%>
</TABLE>

<H3>Interfaces</H3>
<% local myform = "interfaces" %>
<TABLE>
<TR>
<% for i=1,#descr[myform]['labels'] do %>
	<TD style="padding-right:10px;text-align:left;" class="header" WIDTH="<% io.write(descr[myform]['width'][i] or "*") %>"><% io.write(descr[myform]['labels'][i] or "") %></TD>
<% end %>
	<TD class="header" WIDTH="60"><IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-add.png' width='16' height='16' title="Add item below this record"></TD>
</TR>

<%
for i=1, #form.config[myform]['option'] do
%>

<TR>
	<% for ii=1,#descr[myform]['labels'] do %>
		<TD style="padding-right:10px;"><% io.write(form.config[myform]['option'][i][ii] or "") %></TD>
	<% end %>
	<TD style="padding-right:0px;">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-add.png' width='16' height='16' title="Add item below this record">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-remove.png' width='16' height='16' title="Remove this record">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/document-properties.png' width='16' height='16' title="Edit this record">
</TD>
	</TR>
<%
end
%>
</TABLE>


<h3>Default policy</h3>
<% local myform = "policy" %>
<TABLE>
<TR>
<% for i=1,#descr[myform]['labels'] do %>
	<TD style="padding-right:10px;text-align:left;" class="header" WIDTH="<% io.write(descr[myform]['width'][i] or "*") %>"><% io.write(descr[myform]['labels'][i] or "") %></TD>
<% end %>
	<TD class="header" WIDTH="60"><IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-add.png' width='16' height='16' title="Add item below this record"></TD>
</TR>

<%
for i=1, #form.config[myform]['option'] do
%>

<TR>
	<% for ii=1,#descr[myform]['labels'] do %>
		<TD style="padding-right:10px;"><% io.write(form.config[myform]['option'][i][ii] or "") %></TD>
	<% end %>
	<TD style="padding-right:0px;text-align:left;">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-add.png' width='16' height='16' title="Add item below this record">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-remove.png' width='16' height='16' title="Remove this record">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/document-properties.png' width='16' height='16' title="Edit this record">
</TD>
	</TR>
<%
end
%>
</TABLE>

<h3>Rules</h3>
<% local myform = "rules"
local val = {1,2,3,4,5,6,7,8,10,}
%>
<TABLE>
<TR>
<% for k,i in pairs(val) do %>
	<TD style="padding-right:10px;text-align:left;" class="header" WIDTH="<% io.write(descr[myform]['width'][i] or "*") %>"><% io.write(descr[myform]['labels'][i] or "") %></TD>
<% end %>
	<TD class="header" WIDTH="60"><IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-add.png' width='16' height='16' title="Add item below this record"></TD>
</TR>

<%
for i=1, #form.config[myform]['option'] do
%>

<TR>
	<% for ii,vv in pairs(val) do %>
		<TD style="padding-right:10px;"><% io.write(form.config[myform]['option'][i][ii] or "") %></TD>
	<% end %>
	<TD style="padding-right:0px;text-align:left;">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-add.png' width='16' height='16' title="Add item below this record">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-remove.png' width='16' height='16' title="Remove this record">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/document-properties.png' width='16' height='16' title="Edit this record">
</TD>
	</TR>
<%
end
%>
</TABLE>

<H3>Masq</H3>
<% local myform = "masq" %>
<TABLE>
<TR>
<% for i=1,#descr[myform]['labels'] do %>
	<TD style="padding-right:10px;text-align:left;" class="header" WIDTH="<% io.write(descr[myform]['width'][i] or "*") %>"><% io.write(descr[myform]['labels'][i] or "") %></TD>
<% end %>
	<TD class="header" WIDTH="60"><IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-add.png' width='16' height='16' title="Add item below this record"></TD>
</TR>

<%
for i=1, #form.config[myform]['option'] do
%>

<TR>
	<% for ii=1,#descr[myform]['labels'] do %>
		<TD style="padding-right:10px;"><% io.write(form.config[myform]['option'][i][ii] or "") %></TD>
	<% end %>
	<TD style="padding-right:0px;text-align:left;">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-add.png' width='16' height='16' title="Add item below this record">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/list-remove.png' width='16' height='16' title="Remove this record">
<IMG SRC='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/actions/document-properties.png' width='16' height='16' title="Edit this record">
</TD>
	</TR>
<%
end
%>
</TABLE>


