<% local view = ... %>

<h1>SECURITY CONFIRMATION</h1>

<h2>Are you sure you want to preform the previous action?</h2>
<P>You should be aware that a wrong-configured firewall combined with wrong action could lead to lost communication.</P>
<P>If you know what you are doing, you can safely confirm you action below.</P>
<P>If you are not sure what you are doing, you should go back and check your configurations and maybe do a 'check config' to see status on your configurations.</P>

<DL>
<DT>Undo and go back</dt>
<DD><form name="undo" action="<%= view.url %>" method="POST">
<input type=submit class="submit" name="confirm" value="Back">
</form></DD>
</DL>

<dl>
<dt>Preform check of configs</dt>
<dd><form name="check" action="<%= view.url .. "/check" %>" method="POST"><input type=submit name="check" value="check" class="submit"></form></dd>
</dl>

<% if (view.previousaction) then %>
	<DL>
	<dt>Confirm action</dt>
	<DD>
	<form name="confirm" action="" method="POST">
	<input type=submit class="submit" name="confirm" value="<%= view.previousaction %>">
	</form>
	</DD>
	</DL>
<% elseif (view.startstop) and (view.startstop.cmdresult) then %>
	<DL>
	<DT>Result of previous action</DT>
	<DD><pre><%= view.startstop.cmdresult %></pre></DD>
	</DL>
<% end %>

